Package org.apache.commons.dbutils.handlers

# Class ColumnListHandler<T>

java.lang.Object
org.apache.commons.dbutils.handlers.AbstractListHandler<T>
org.apache.commons.dbutils.handlers.ColumnListHandler<T>

Type Parameters:
  `T` - The type of the column.

All Implemented Interfaces:
  `ResultSetHandler<List<T>>`

public class ColumnListHandler<T> extends AbstractListHandler<T>
`ResultSetHandler` implementation that converts one `ResultSet` column into a `List` of `Object`s. This class is thread safe.

Since:
  1.1
See Also:
  - `ResultSetHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnListHandler()`
  Creates a new instance of ColumnListHandler.
  `ColumnListHandler(int columnIndex)`
  Creates a new instance of ColumnListHandler.
  `ColumnListHandler(String columnName)`
  Creates a new instance of ColumnListHandler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected T`
  `handleRow(ResultSet resultSet)`
  Returns one `ResultSet` column value as `Object`.

  ### Methods inherited from class org.apache.commons.dbutils.handlers.AbstractListHandler

  `handle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ColumnListHandler

    public ColumnListHandler()
    Creates a new instance of ColumnListHandler. The first column of each row will be returned from `handle()`.

  - ### ColumnListHandler

    public ColumnListHandler(int columnIndex)
    Creates a new instance of ColumnListHandler.
    Parameters:
      `columnIndex` - The index of the column to retrieve from the `ResultSet`.

  - ### ColumnListHandler

    public ColumnListHandler(String columnName)
    Creates a new instance of ColumnListHandler.
    Parameters:
      `columnName` - The name of the column to retrieve from the `ResultSet`.

- ## Method Details

  - ### handleRow

    protected T handleRow(ResultSet resultSet) throws SQLException
    Returns one `ResultSet` column value as `Object`.
    Specified by:
      `handleRow` in class `AbstractListHandler<T>`
    Parameters:
      `resultSet` - `ResultSet` to process.
    Returns:
      `Object`, never `null`.
    Throws:
      `SQLException` - if a database access error occurs
      `ClassCastException` - if the class datatype does not match the column type
    See Also:
      - `AbstractListHandler.handle(ResultSet)`